# [creativespirit.tech](creativespirit.tech)

## What is this repo about?
This repo contains the [creativespirit.tech](https://creativespirit.tech) site.
This includes:
  - Content in markdown
  - A script ot render the content into static HTML site

## Can I use it for my own site?
Absolutely.

## How to use the software for my own site/content?
I have a [blog article](https://creativespirit.tech/blog/site_generator.html) on that. You could check it, and please also consider the steps below.

### Initial setup
  - Clone the repo
  - Place your own content into the content folder. You can use subdirs, etc. If the links between your markdown files work locally, then the links between the generated HTML on the server should work, too.
  - Create respective nginx dir on your own machine. For this project it is 
  ```/var/www/creativespirit.tech/html```
  - Create subdirectories under the nginx dir matching those in content dir 
  - Install project dependencies
  ```
  cd scripts
  pipenv install    
  ```

### Operations
  - To re-generate the site
  ```
  cd scripts
  ./run
  ```
